import type { DCloneHTMLElement } from '../../utils/types';
export declare type DComboboxKeyboardKey = 'next' | 'prev' | 'first' | 'last' | 'next-level' | 'prev-level';
export interface DComboboxKeyboardProps {
    children: (props: {
        render: DCloneHTMLElement;
    }) => JSX.Element | null;
    dVisible: boolean;
    dEditable: boolean;
    dHasSub: boolean;
    onVisibleChange: (dVisible: boolean) => void;
    onFocusChange: (key: DComboboxKeyboardKey) => void;
}
export declare function DComboboxKeyboard(props: DComboboxKeyboardProps): JSX.Element | null;
