import React from 'react';
export interface DFabButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    dType?: 'primary' | 'secondary' | 'outline' | 'dashed' | 'text' | 'link';
    dTheme?: 'primary' | 'success' | 'warning' | 'danger';
    dLoading?: boolean;
    dVariant?: 'circle' | 'round';
}
export declare const DFabButton: React.ForwardRefExoticComponent<DFabButtonProps & React.RefAttributes<HTMLButtonElement>>;
