/// <reference types="react" />
import type { DButtonProps } from '../button';
export interface DModalFooterProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dAlign?: 'left' | 'center' | 'right';
    dActions?: React.ReactNode[];
    dCancelProps?: DButtonProps;
    dOkProps?: DButtonProps;
    onCancelClick?: () => void | false | Promise<void | false>;
    onOkClick?: () => void | false | Promise<void | false>;
}
export interface DModalFooterPrivateProps {
    __onClose?: () => void;
}
export declare function DModalFooter(props: DModalFooterProps): JSX.Element | null;
