import type { DId } from '../../utils/types';
import type { DTransferItem } from './Transfer';
import React from 'react';
export interface DPanelProps<V extends DId, T extends DTransferItem<V>> {
    dList: T[];
    dSelectedNum: number;
    dState: boolean | 'mixed';
    dTitle: React.ReactNode;
    dLoading: boolean;
    dSearchable: boolean;
    dCustomItem: ((item: T) => React.ReactNode) | undefined;
    onSelectedChange: (value: V) => void;
    onAllSelected: (selected: boolean) => void;
    onSearch: (value: string) => void;
    onScrollBottom: () => void;
}
export declare function DPanel<V extends DId, T extends DTransferItem<V>>(props: DPanelProps<V, T>): JSX.Element | null;
